package com.ruoyi.invest.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.*;
/**
 * 信贷产品管理对象 debit_infors
 *
 * @author tianyongbao
 * @date 2024-04-09
 */
@ApiModel("信贷产品管理对象")
@Data
public class DebitInfors extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 名称 */
    @ApiModelProperty(value="名称)")
    @NotNull(message="名称不能为空")
    @Excel(name = "名称")
    private String name;

    /** 类型 */
    private String type;

    /** 放贷机构 */
    @ApiModelProperty(value="放贷机构)")
    @NotNull(message="放贷机构不能为空")
    @Excel(name = "放贷机构")
    private String lenders;

    /** 适用客群 */
    private String applicableCustomerGroups;

    /** 所需材料 */
    private String requiredMaterials;

    /** 征信条件 */
    @ApiModelProperty(value="征信条件")
    @Excel(name = "征信条件")
    private String creditConditions;

    /** 贷款利率 */
    @ApiModelProperty(value="贷款利率")
    @Excel(name = "贷款利率")
    private String lendingRate;

    /** 贷款期限 */
    @ApiModelProperty(value="贷款期限")
    @Excel(name = "贷款期限")
    private String loanTerm;

    /** 还款方式 */
    @ApiModelProperty(value="还款方式")
    @Excel(name = "还款方式")
    private String repaymentMethod;

    /** 贷款额度 */
    @ApiModelProperty(value="贷款额度")
    @Excel(name = "贷款额度")
    private String loanLimit;

    /** 贷款用途 */
    private String loanPurpose;

    /** 申请方式，1线上，2线下，3线上线下 */
    private String applyMethod;

    /** 查询次数 */
    @ApiModelProperty(value="查询次数")
    @Excel(name = "查询次数")
    private String creditQueryCount;

    /** 负债机构数 */
    private String debtCount;

    /** 信用卡张数 */
    private String creditCardCount;

    /** 信用卡使用率 */
    private String creditCardUsageRate;

    /** 贷款余额 */
    private String loanBalance;

    /** 负债要求 */
    @ApiModelProperty(value="负债要求")
    @Excel(name = "负债要求")
    private String debtRequirements;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("type", getType())
            .append("lenders", getLenders())
            .append("applicableCustomerGroups", getApplicableCustomerGroups())
            .append("requiredMaterials", getRequiredMaterials())
            .append("creditConditions", getCreditConditions())
            .append("lendingRate", getLendingRate())
            .append("loanTerm", getLoanTerm())
            .append("repaymentMethod", getRepaymentMethod())
            .append("loanLimit", getLoanLimit())
            .append("loanPurpose", getLoanPurpose())
            .append("applyMethod", getApplyMethod())
            .append("creditQueryCount", getCreditQueryCount())
            .append("debtCount", getDebtCount())
            .append("creditCardCount", getCreditCardCount())
            .append("creditCardUsageRate", getCreditCardUsageRate())
            .append("loanBalance", getLoanBalance())
            .append("debtRequirements", getDebtRequirements())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("remark", getRemark())
            .toString();
    }
}
